Bug 389358 - Dolphin not showing Drives under "Devices" after solid update
Summary: Dolphin not showing Drives under "Devices" after solid update
Status: RESOLVED FIXED
Alias: None
Product: frameworks-solid
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: unspecified
Platform: openSUSE Linux
: NOR normal
Target Milestone: ---
Assignee: Lukáš Tinkl
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-24 01:23 UTC by Tony
Modified: 2018-04-08 08:59 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
There should be 3 other disks shown under devices (99.35 KB, image/png)
2018-01-24 01:23 UTC, Tony
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tony 2018-01-24 01:23:27 UTC
Created attachment 110081 [details]
There should be 3 other disks shown under devices

If i am not mistaken, after this change:
https://cgit.kde.org/solid.git/commit/?id=1384f275ab2f1ad1841753ee163af6d1b0bb952b

Dolphin is not showing drives not mounted at boot time, under "Devices".
To allow Dolphin to show the drives again you need to edit the fstab so they can be mounted at boot time for all the drives you want to be shown under "Devices".

USB flash drives are not being detected as well.
Comment 1 Tony 2018-01-24 02:10:45 UTC
To clarify since i sort if repeated what the changes are and the not "Bug".....

No drives are being shown, mounted or not, under "Devices". Before the Change i used to see the drives under "Devices". This goes for hard drives and usb flash drives.
Comment 2 Kai Uwe Broulik 2018-01-24 08:24:02 UTC
Git commit ed1e7f5fc5c083c17bd44e4220a35eae140f980b by Kai Uwe Broulik.
Committed on 24/01/2018 at 08:22.
Pushed by broulik into branch 'master'.

[UDisks] Only ignore non-user backing file if it is known

Only loop devices have this property, otherwise we end up ignoring regular disks as well.

M  +1    -1    src/solid/devices/backends/udisks2/udisksstoragevolume.cpp

https://commits.kde.org/solid/ed1e7f5fc5c083c17bd44e4220a35eae140f980b